Draft: Curva di Bézier

From FreeCAD Documentation
Revision as of 10:43, 3 May 2018 by Mario52 (talk | contribs)
Jump to: navigation, search

Draft BezCurve.svg Curva di Bezier

Posizione nel menu
Draft → Curva di Bezier
Ambiente
Draft, Arch
Avvio veloce
B Z
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Lo strumento Curva di Bezier crea una Curva di Bezier (o un tratto) da più punti nel corrente piano di lavoro. Assume lo lo spessore e il colore precedentemente impostati nella scheda Azioni.

L'oggetto viene creato come una unica curva di Bezier di grado uguale al numero di punti - 1. Dopo la creazione può essere commutato in tratti di curva di Bezier di determinato grado modificando le proprietà. Le curve di Bezier possono essere modificate utilizzando Draft Edit.png Modifica.

Draft BezCurve Example.png

Utilizzo

  1. Premere il pulsante Draft BezCurve.png Curva di Bezier , oppure premere i tasti B e Z.
  2. Fare clic sul primo punto sulla vista 3D, o digitare le sue coordinate
  3. Cliccare in un altro punto nella vista 3D, o digitare le sue coordinate
  4. Premere F o C, o fare doppio clic sull'ultimo punto, oppure fare clic sul primo punto per completare e chiudere la curva.

Opzioni

  • Premere F o il pulsante Draft FinishLine.png Finisci per interrompere la spline lasciandola aperta
  • Premere C o il pulsante Draft CloseLine.png Chiudi o fare clic sul primo punto per terminare la spline, ma rendendola chiusa con l'aggiunta di un ultimo segmento tra l'ultimo punto e il primo.
  • Premere X, Y o Z dopo un punto per vincolare il punto successivo sull'asse dato.
  • Per inserire manualmente le coordinate, è sufficiente inserire i valori, quindi premere ENTER per ciascun componente X, Y e Z.
  • Premere R o cliccare nella casella per selezionare o deselezionare il pulsante Relativo. Se la modalità relativa è attivo, le coordinate del punto successivo sono relative all'ultimo. In caso contrario, esse sono assolute, prese dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. In modalità Continua, al termine dell'operazione, lo strumento Curva di Bezier si riavvia automaticamente e permette di disegnare una nuova curva senza dover ripetere il comando.
  • Premere CTRL mentre si disegna per ancorare il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
  • Premere SHIFT mentre si disegna per vincolare orizzontalmente o verticalmente il secondo punto rispetto al primo.
  • Premere W o il pulsante Draft Wipe.png Pulisci per rimuovere i segmenti esistenti e avviare la spline dall'ultimo punto.
  • Premere CTRL+Z o premere il pulsante Draft UndoLine.png Annulla per annullare l'ultimo punto inserito. Questa opzione permette di annullare a ritroso tutti i punti.
  • Premere ESC o premere il pulsante Cancella per uscire dal comando Curva di Bezier.

Proprietà

  • DatiClosed: Specifica se la curva di Bezier è chiuso o aperta
  • DatiDegree: Specifica il grado della curva di Bezier (o segmenti)

Script

Lo strumento Curva di Bezier può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

makeBezCurve(pointslist,[closed],[placement],[support],[degree])
  • Crea un oggetto curva di Bezier dalla lista di vettori dati. Invece di un pointslist, si può anche passare una Part Wire.

Example:

import FreeCAD,Draft
myFeature = Draft.makeBezCurve(Draft.makeBezCurve(points,False)

Vincolare i nodi

I punti finali del segmento in un tratto della curva di Bezier possono essere vincolati in modo tale che i punti di controllo adiacenti siano tangenti o simmetrici ai segmenti nel punto finale. Questo viene fatto dopo la creazione dell'oggetto utilizzando Draft Edit.png Modifica.

  • Draft BezSharpNode.svg Sharp - rimuove i vincoli
  • Draft BezTanNode.svg Tangent - forza i punti di controllo adiacenti ad essere tangenti
  • Draft BezSymNode.svg Symmetric - forza i punti di controllo adiacenti ad essere tangenti ed equidistanti

Limitazioni

  • Questo strumento non è disponibile prima della versione 0.14 di FreeCAD
  • Le Proprietà Punti non compaiono ancora nell'elenco delle proprietà.
  • OpenCascade non supporta le curve di Bezier con grado > 25. Nella pratica, questo non dovrebbe essere un problema.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe